Bug 479158 - Fails on x86_64
Fails on x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mumbles (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John Anderson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-01-07 11:51 EST by Tim Waugh
Modified: 2009-07-11 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4-11.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
More complete patch. (1.00 KB, patch)
2009-01-07 12:15 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2009-01-07 11:51:42 EST
Description of problem:
$ mumbles
Traceback (most recent call last):
  File "/usr/bin/mumbles", line 16, in <module>
    from MumblesGlobals import *
ImportError: No module named MumblesGlobals

Version-Release number of selected component (if applicable):
mumbles-0.4-8.fc10

How reproducible:
100%

Steps to Reproduce:
1. Run 'mumbles'.
  
Actual results:
Traceback.

Expected results:
No traceback.

Additional info:
It's because the wrong python lib dir is used I think.  Fix attached.
Comment 1 Tim Waugh 2009-01-07 12:15:25 EST
Created attachment 328400 [details]
More complete patch.

Oops, missed a bit.  Here's a more complete patch.
Comment 2 Fedora Update System 2009-01-09 11:41:23 EST
mumbles-0.4-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mumbles-0.4-9.fc10
Comment 3 John Anderson 2009-01-09 11:43:39 EST
Thanks for the patch, submitted to updates.
Comment 4 Fedora Update System 2009-01-14 21:58:31 EST
mumbles-0.4-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mumbles'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0436
Comment 5 Fedora Update System 2009-01-21 16:30:39 EST
mumbles-0.4-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Gianluca Sforna 2009-01-22 06:29:16 EST
uhm. Just tested the update but mumble-send does not seem to work:

[giallu@bingo F-10]$ mumbles-send XXX
syspath: /usr/lib/python2.5/site-packages/mumbles

and that's it... am I missing something obvious?
Comment 7 Tim Waugh 2009-01-22 06:41:28 EST
(Works here.)
Comment 8 Gianluca Sforna 2009-01-22 07:05:28 EST
confirmed, works after loggin in again (though the syspath message on the shell is still there)
Comment 9 Tim Waugh 2009-05-01 10:08:03 EDT
Reopening for Fedora 11: mumbles-0.4-9.fc11.
Comment 10 Tim Waugh 2009-06-08 09:42:07 EDT
*ping*

This still needs to be fixed for F-11 and for devel.
Comment 11 John Anderson 2009-06-08 10:02:12 EDT
I'll look into this tonight, though I currently don't have access to an x86_64 box.
Comment 12 Tim Waugh 2009-06-08 10:16:59 EDT
It was already fixed in F-10 (see comment #7), you just need to apply the fix to F-11 and devel.
Comment 13 John Anderson 2009-06-08 10:27:52 EDT
Oh, I misunderstood, thought the current fix did not work for those branches. I will apply the fix this evening.

John
Comment 14 Tim Waugh 2009-06-08 10:32:22 EDT
Hmm, having built a package locally with that fix 'mumbles' starts at least, but it doesn't seem to be showing any windows either when using pidgin or when using mumbles-send.  Is it working on F-11 on other architectures?
Comment 15 Fedora Update System 2009-06-08 22:40:05 EDT
mumbles-0.4-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mumbles-0.4-10.fc11
Comment 16 Bug Zapper 2009-06-09 06:37:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Fedora Update System 2009-07-02 22:04:15 EDT
mumbles-0.4-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mumbles-0.4-11.fc11
Comment 18 Fedora Update System 2009-07-11 13:26:06 EDT
mumbles-0.4-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.